weekdays 	= new Array("Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado");
months 		= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
today 		= new Date();
weekday 	= today.getDay();
monthday 	= today.getDate();
month 		= today.getMonth();
year 		= today.getFullYear();
weekday		= weekdays[weekday];
month 		= months[month];
hr              = today.getHours();
mn              = today.getMinutes(); 
dateString	= (String(weekday))+" "+(String(monthday))+" "+(String(month))+" , "+(String(year));
pers		= 0;
temp_multa	= 0;
temp_total	= 0;
Pers		= 0;




var months	= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
var numbers	= new makeArray0('','un','dos','tres','cuatro','cinco','seis','siete','ocho','nueve','diez','once','doce','trece','catorce','quince','dieciseis','diecisiete','dieciocho','diecinueve');
var numbers10	= new makeArray0('','diez','veinte','treinta','cuarenta','cincuenta','sesenta','setenta','ochenta','noventa');
var numbers20	= new makeArray0('','diez','veinti','treinta','cuarenta','cincuenta','sesenta','setenta','ochenta','noventa');
var numbers100	= new makeArray0('','cien','doscientos','trescientos','cuatrocientos','quinientos','seiscientos','setecientos','ochocientos','novecientos');
var Numbers100	= new makeArray0('','ciento','','','','','','','','');
function makeArray0() {
    for (i = 0; i<makeArray0.arguments.length; i++)
    this[i] = makeArray0.arguments[i];
}
function chequeAmount(input) {
    var re=/^((\d*)|(\d*(\.\d{1,2})))$/;
    if (!re.test(input)){
        alert("Datos incorrectos en monto, no usar ','\n Ej: 1564.93");
    }else{
        var dollars     = Math.floor(input);
        var cents       = Math.round((input*100 - dollars*100));
        var thousands   = (dollars - dollars % 1000) / 1000;
        dollars        -= thousands * 1000;
        var hundreds    = (dollars - dollars % 100) / 100;
        dollars        -= hundreds * 100;
        var output      = '';
        output +=   (thousands > 0 ? fN(thousands) + ' mil ' : '') +
                    (hundreds > 0 ?  FN(hundreds,dollars) + ' ' : '') +
                    (dollars > 0 ? fN(dollars) + ' ' : '') +
                    'con '+cents + '/100 dolares';
        output          = output.toUpperCase();
        return output.substring(0,1).toUpperCase() + output.substring(1);
    }
}
function FN(i,b) {
    if ((i == 1)&&(b > 0)){
        return Numbers100[i];
    }else{
        if (i<20) return numbers100[i];
    }
    var tens = (i - i % 10) / 10, units = i - (i - i % 10);
    return numbers10[tens] + ((tens > 0 && units > 0) ? '-' : '') + numbers[units];
}
function fN(i) {
    if (i<20) return numbers[i];
    var tens = (i - i % 10) / 10, units = i - (i - i % 10);
    if ( (i > 20)&&(i < 30) ){
            return numbers20[tens] + ((tens > 0 && units > 0) ? '' : '') + numbers[units];
    }
    if ((i>=30)&&(i<100)){
            return numbers10[tens] + ((tens > 0 && units > 0) ? ' y ' : '') + numbers[units];
    }
    if (i>=100){
            var str   = i+"";
            var hunds  = str.substr(0,1)
            tens   = str.substr(1,1)
            units  = str.substr(2,1)
            //alert(hunds+"-"+tens+"-"+units)
            return numbers100[hunds] + ((hunds > 0 && tens > 0) ? ' ' : '') + numbers10[tens] + ((tens > 0 && units > 0) ? ' y ' : '') + numbers[units];    
    }
}

function convertletras(periodo){
    var meses=new Array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    var mes=periodo.substring(4,6);
    var ano=periodo.substring(0,4);
    mes=mes*1;
    mes=mes-1;
    
    mes=meses[mes];
    var trs=mes+" "+ano;
    return trs;

}
function getMes(mes){
alert(mes);
var meses=new Array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    return meses[mes];
}

function convertir_fecha(fecha){
    var months 		= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
    var fpl=fecha.split("-");
    var ano=fpl[0];
    var mes=fpl[1];
    var dia=fpl[2];
    var strano=chequeAmount(ano,"Error al convertir a letras el anio de inscripcion");
    var strmes=months[mes-1];
    var strdia=chequeAmount(dia,"Error al convertir a letras el anio de inscripcion");
    var strtrtn=strdia+" de "+strmes+" de "+strano;
    return strtrtn;
}
function convertir_fecha1(fecha){
    var months 		= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
    var fpl=fecha.split("-");
    var ano=fpl[0];
    var mes=fpl[1];
    var dia=fpl[2];
    var strano=chequeAmount(ano,"Error al convertir a letras el anio de inscripcion");
    var strmes=months[mes-1];
    var strdia=chequeAmount(dia,"Error al convertir a letras el anio de inscripcion");
    var strtrtn=" de "+strmes+" de "+strano;
    return strtrtn;
}
function convertir_hora(hora){
    var thora=hora.split(":");
    var horas=thora[0];
    var minutos=thora[1];
    var strhora=chequeAmount(horas,"Error al convertir a letras el anio de inscripcion");
    var strminuto=chequeAmount(minutos,"Error al convertir a letras el anio de inscripcion");
    var strtrtn=strhora+" horas con "+strminuto+" minutos";
    return strtrtn;
}
function get_today(){
    var today 		= new Date();

    var monthday 	= today.getDate();
    var month 		= today.getMonth()+1;
    var year 		= today.getFullYear();
    if(monthday<10)     {montday="0"+monthday}
    if(month<10)     {month="0"+month}

        var clase='{generador}';
    if(clase=="inmueble")
    {
        document.write("Titular del Inmueble ubicado");
    }
    else
    {
        document.write("Titular de la empresa ubicada");
    }
    var clase='{generador}';
    if(clase=="inmueble")
    {
        document.write(" tasas por servicios municipales");
    }
    else
    {
        document.write("impuestos municipales");
    }
var str=chequeAmount('{total}');document.write(str);
var str=convertletras('{i8_periodo_desde}');document.write(str+" hasta ");var str=convertletras('{i8_periodo_hasta}');document.write(str);
language="javascript">document.write(dateString)
